package androidx.media;

import android.media.AudioAttributes;
import ῲ.ᑓ.AbstractC1617;

public final class AudioAttributesImplApi21Parcelizer {
    public static AudioAttributesImplApi21 read(AbstractC1617 k) {
        AudioAttributesImplApi21 audioAttributesImplApi21 = new AudioAttributesImplApi21();
        audioAttributesImplApi21.f1373 = (AudioAttributes) k.m4198(audioAttributesImplApi21.f1373, 1);
        audioAttributesImplApi21.f1372 = k.m4197(audioAttributesImplApi21.f1372, 2);
        return audioAttributesImplApi21;
    }

    public static void write(AudioAttributesImplApi21 audioAttributesImplApi21, AbstractC1617 k) {
        k.m4207();
        k.m4196(audioAttributesImplApi21.f1373, 1);
        k.m4195(audioAttributesImplApi21.f1372, 2);
    }
}
